Name:		libcue
Version:	2.3.0
Release:	1
Summary:	Cue sheet parser library

License:	GPLv2 and BSD
URL:		https://github.com/lipnitsk/%{name}
Source0:	%{url}/archive/refs/tags/v%{version}.tar.gz


BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig


%description
Libcue is intended for parsing a so-called cue sheet from a char string or
a file pointer. For handling of the parsed data a convenient API is available.


%package devel
Summary:	Development files
Requires:	%{name}%{?_isa} = %{version}-%{release}


%description	devel
Development files for %{name}.


%prep
%autosetup -p1


%build
%{cmake} .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%check
make test


%ldconfig_scriptlets


%files
%license LICENSE
%doc ChangeLog README.md
%{_libdir}/%{name}.so.*


%files devel
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Dec 28 2023 Paul Thomas <paulthomas100199@gmail.com> - 2.3.0-1
- update to version 2.3.0

* Tue Oct 10 2023 liningjie <liningjie@xfusion.com> - 2.2.1-2
- Fix CVE-2023-43641

* Thu May 13 2021 He Rengui <herengui@uniontech.com> - 2.2.1-1
- packge init
